using System.Collections.Generic;
using Wizard.Battle;

public static class BattlePlayersExtension
{
	public static IEnumerable<IReadOnlyBattleCardInfo> AllCards(this IEnumerable<IBattlePlayerReadOnlyInfo> battlePlayerInfos)
	{
		List<IReadOnlyBattleCardInfo> list = new List<IReadOnlyBattleCardInfo>();
		foreach (IBattlePlayerReadOnlyInfo battlePlayerInfo in battlePlayerInfos)
		{
			list.Add(battlePlayerInfo.SkillInfoClass);
			list.AddRange(battlePlayerInfo.SkillInfoHandCards);
			list.AddRange(battlePlayerInfo.SkillInfoDeckCards);
			list.AddRange(battlePlayerInfo.SkillInfoInPlayCards);
			list.AddRange(battlePlayerInfo.SkillInfoCemeterys);
			list.AddRange(battlePlayerInfo.SkillInfoBanishCards);
			list.AddRange(battlePlayerInfo.SkillInfoNecromanceZoneCards);
		}
		return list;
	}
}
